Eclipse Draw2d 3.3

## org.eclipse.draw2d
Interface IImageFigure

All Superinterfaces:
  IFigure

All Known Implementing Classes:
  AbstractImageFigure, ImageFigure

    public interface IImageFigure

extends IFigure

Interface for image figures

WARNING: This interface is not intended to be implemented by clients. Extend `AbstractImageFigure` instead.

Since:
  3.6

Nested Class Summary
`static interface` `IImageFigure.ImageChangedListener` Listener to the image figure to track changes to the containede SWT Image

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`IFigure.NoInsets`

Field Summary

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Method Summary
`void` `addImageChangedListener(IImageFigure.ImageChangedListener listener)` Attaches `ImageChangedListener` to the figure
`Image` `getImage()` Returns the SWT Image contained by the figure
`void` `removeImageChangedListener(IImageFigure.ImageChangedListener listener)` Detaches `ImageChangedListener` from the figure

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Method Detail

### getImage

    Image getImage()

  Returns the SWT Image contained by the figure

  Returns:
    the Image contained by the figure
  Since:
    3.6

### addImageChangedListener

    void addImageChangedListener(IImageFigure.ImageChangedListener listener)

  Attaches `ImageChangedListener` to the figure

  Parameters:
    `listener` -
  Since:
    3.6

### removeImageChangedListener

    void removeImageChangedListener(IImageFigure.ImageChangedListener listener)

  Detaches `ImageChangedListener` from the figure

  Parameters:
    `listener` -
  Since:
    3.6

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.